Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
webhooks
Create webhook endpoint
curl --request POST \
  --url https://api.meetecho.ai/api/v1/projects/{projectId}/webhooks \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "url": "https://your-server.com/webhooks/echo",
  "events": [
    "call.started",
    "call.ended",
    "call.summary"
  ]
}
'
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "project_id": "e56b4c35-882d-4604-9944-9763d314ea59",
  "url": "https://your-server.com/webhooks/echo",
  "signing_secret": "whsec_a1b2c3d4e5f6789012345678901234567890123456789012345678901234abcd",
  "status": "active",
  "events": [
    "call.started",
    "call.ended",
    "call.summary"
  ],
  "consecutive_failures": 0,
  "created_at": "2026-04-12T15:51:59.499Z",
  "updated_at": "2026-04-12T15:51:59.499Z"
}

Authorizations

x-api-key
string
header
required

Echo API key — format: echo_<64 hex chars>. Returned once on signup.

Path Parameters

projectId
string<uuid>
required

Body

application/json
url
string<uri>
required
Example:

"https://your-server.com/webhooks/echo"

events
enum<string>[]
required
Minimum array length: 1
Available options:
call.started,
call.ended,
call.summary
Example:
[
"call.started",
"call.ended",
"call.summary"
]

Response

201 - application/json

Endpoint created

id
string<uuid>
Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

project_id
string<uuid>
Example:

"e56b4c35-882d-4604-9944-9763d314ea59"

url
string
Example:

"https://your-server.com/webhooks/echo"

signing_secret
string
Example:

"whsec_a1b2c3d4e5f6789012345678901234567890123456789012345678901234abcd"

status
enum<string>
Available options:
active,
disabled
Example:

"active"

events
enum<string>[]
Available options:
call.started,
call.ended,
call.summary
Example:
[
"call.started",
"call.ended",
"call.summary"
]
consecutive_failures
integer
Example:

0

created_at
string<date-time>
Example:

"2026-04-12T15:51:59.499Z"

updated_at
string<date-time>
Example:

"2026-04-12T15:51:59.499Z"